[
  {
    "FolderName": "Bizhawk",
    "ImageName": "BizhawkVanguard.png",
    "DownloadVersion": "BV037",
    "ItemName": "Bizhawk",
    "ItemSubtitle": "Vanguard",
    "ItemDescription": "Bizhawk is a multi-system emulator that supports many consoles such as NES, SNES, SMS, GENESIS, N64, PSX, GB, GBC, GBA, etc.\n\nBizhawk supports Savestates, Rewind and Audio/Video rendering.\n\nThis emulator may require additional firmware for some game titles",
    "ExecutableCommands": {
      "key": {
        "DisplayName": "Bizhawk Vanguard",
        "FileName": "Bizhawk/EmuHawk.exe",
        "PreExecuteCommands": [
          {
            "DisplayName": "Kill Bizhawk",
            "FileName": "taskkill",
            "Arguments": "/f /im emuhawk.exe",
            "WindowStyle": "Normal",
            "WaitForExit": true,
            "WaitForExitTimeout": 2147483647
          },
          {
            "DisplayName": "Kill StandaloneRTC",
            "FileName": "taskkill",
            "Arguments": "/f /im StandaloneRTC.exe",
            "WindowStyle": "Normal",
            "WaitForExit": true,
            "WaitForExitTimeout": 2147483647
          },
          {
            "DisplayName": "StandaloneRTC",
            "FileName": "RTCV/StandaloneRTC.exe"
          }
        ]
      }
    }
  },
  {
    "FolderName": "Dolphin",
    "ImageName": "DolphinVanguard.png",
    "DownloadVersion": "DV037",
    "ItemName": "Dolphin",
    "ItemSubtitle": "Vanguard",
    "ItemDescription": "Dolphin is an emulator for running Nintendo GameCube and Nintendo Wii games on Windows, Linux, macOS and Android devices.\n\nThis emulator may require additional firmware for some game titles",
    "ExecutableCommands": {
      "key": {
        "DisplayName": "Dolphin Vanguard",
        "FileName": "Dolphin/Dolphin.exe",
        "PreExecuteCommands": [
          {
            "DisplayName": "Kill Dolphin",
            "FileName": "taskkill",
            "Arguments": "/f /im Dolphin.exe",
            "WindowStyle": "Normal",
            "WaitForExit": true,
            "WaitForExitTimeout": 2147483647
          },
          {
            "DisplayName": "Kill StandaloneRTC",
            "FileName": "taskkill",
            "Arguments": "/f /im StandaloneRTC.exe",
            "WindowStyle": "Normal",
            "WaitForExit": true,
            "WaitForExitTimeout": 2147483647
          },
          {
            "DisplayName": "StandaloneRTC",
            "FileName": "RTCV/StandaloneRTC.exe"
          }
        ]
      }
    }
  },
  {
    "FolderName": "PCSX2",
    "ImageName": "PCSX2Vanguard.png",
    "DownloadVersion": "PCSX2V016",
    "ItemName": "PCSX2",
    "ItemSubtitle": "Vanguard",
    "ItemDescription": "PCSX is an emulator for running Sony Playstation 2 games on Windows, Linux, macOS and Android devices.\n\nThis emulator requires additional firmware to play games.",
    "ExecutableCommands": {
      "key": {
        "DisplayName": "PCSX2 Vanguard",
        "FileName": "PCSX2/pcsx2.exe",
        "PreExecuteCommands": [
          {
            "DisplayName": "Kill PCSX2",
            "FileName": "taskkill",
            "Arguments": "/f /im pcsx2.exe",
            "WindowStyle": "Normal",
            "WaitForExit": true,
            "WaitForExitTimeout": 2147483647
          },
          {
            "DisplayName": "Kill StandaloneRTC",
            "FileName": "taskkill",
            "Arguments": "/f /im StandaloneRTC.exe",
            "WindowStyle": "Normal",
            "WaitForExit": true,
            "WaitForExitTimeout": 2147483647
          },
          {
            "DisplayName": "StandaloneRTC",
            "FileName": "RTCV/StandaloneRTC.exe"
          }
        ]
      }
    }
  },
  {
    "FolderName": "melonDS",
    "ImageName": "MelonDSVanguard.png",
    "DownloadVersion": "MELONV021",
    "ItemName": "melonDS",
    "ItemSubtitle": "Vanguard",
    "ItemDescription": "melonDS is an emulator for running Nintendo DS games on Windows.\n\nThis emulator requires additional firmware to play games.",
    "ExecutableCommands": {
      "key": {
        "DisplayName": "melonDS Vanguard",
        "FileName": "melonDS/melonDS.exe",
        "PreExecuteCommands": [
          {
            "DisplayName": "Kill Melon",
            "FileName": "taskkill",
            "Arguments": "/f /im melonDS.exe",
            "WindowStyle": "Normal",
            "WaitForExit": true,
            "WaitForExitTimeout": 2147483647
          },
          {
            "DisplayName": "Kill StandaloneRTC",
            "FileName": "taskkill",
            "Arguments": "/f /im StandaloneRTC.exe",
            "WindowStyle": "Normal",
            "WaitForExit": true,
            "WaitForExitTimeout": 2147483647
          },
          {
            "DisplayName": "StandaloneRTC",
            "FileName": "RTCV/StandaloneRTC.exe"
          }
        ]
      }
    }
  },
  {
    "FolderName": "Citra",
    "ImageName": "CitraVanguard.png",
    "DownloadVersion": "CITRAV008",
    "ItemName": "Citra",
    "ItemSubtitle": "Vanguard",
    "ItemDescription": "Citra is an emulator for running Nintendo 3DS games on Windows.\n\nThis emulator requires additional firmware to play games.",
    "ExecutableCommands": {
      "key": {
        "DisplayName": "Citra Vanguard",
        "FileName": "Citra/citra-qt.exe",
        "PreExecuteCommands": [
          {
            "DisplayName": "Kill Citra",
            "FileName": "taskkill",
            "Arguments": "/f /im citra-qt.exe",
            "WindowStyle": "Normal",
            "WaitForExit": true,
            "WaitForExitTimeout": 2147483647
          },
          {
            "DisplayName": "Kill StandaloneRTC",
            "FileName": "taskkill",
            "Arguments": "/f /im StandaloneRTC.exe",
            "WindowStyle": "Normal",
            "WaitForExit": true,
            "WaitForExitTimeout": 2147483647
          },
          {
            "DisplayName": "StandaloneRTC",
            "FileName": "RTCV/StandaloneRTC.exe"
          }
        ]
      }
    }
  },
  {
    "FolderName": "WGH",
    "ImageName": "WGH.png",
    "DownloadVersion": "WGH098",
    "ItemName": "WGH Legacy",
    "ItemSubtitle": "For old computers",
    "ItemDescription": "Warning: If you are looking for to corrupt standard files, check out FileStub. It is much more advanced and stable than this program.\n\nWGH Legacy is a backport of the old Windows Glitch Harvester to run on older Windows versions. The .Net 2.0 framework is known to work on Windows versions down to win9x.\n\nTake note that multithreading support may not work on Win9x, 2000 and XP.\n\n",
    "HideItem": true,
    "ExecutableCommands": {
      "key": {
        "DisplayName": "Windows Glitch Harvester",
        "FileName": "WGH/WindowsGlitchHarvester.exe"
      }
    }
  },
  {
    "FolderName": "FileStub",
    "ImageName": "FileStubVanguard.png",
    "DownloadVersion": "FS020",
    "ItemName": "FileStub",
    "ItemSubtitle": "RTC Stub for Files",
    "ItemDescription": "Bridges Files through Vanguard for corrupting one or many files at once using RTC.\n\nThis is a non-realtime implementation.",
    "ExecutableCommands": {
      "key": {
        "DisplayName": "FileStub",
        "FileName": "FileStub/FileStub.exe",
        "PreExecuteCommands": [
          {
            "DisplayName": "Kill FileStub",
            "FileName": "taskkill",
            "Arguments": "/f /im FileStub.exe",
            "WindowStyle": "Normal",
            "WaitForExit": true,
            "WaitForExitTimeout": 2147483647
          },
          {
            "DisplayName": "Kill StandaloneRTC",
            "FileName": "taskkill",
            "Arguments": "/f /im StandaloneRTC.exe",
            "WindowStyle": "Normal",
            "WaitForExit": true,
            "WaitForExitTimeout": 2147483647
          },
          {
            "DisplayName": "StandaloneRTC",
            "FileName": "RTCV/StandaloneRTC.exe"
          }
        ]
      }
    }
  },
  {
    "FolderName": "WVL",
    "ImageName": "WVL.png",
    "DownloadVersion": "WVL012",
    "ItemName": "Windows Volume Limiter",
    "ItemSubtitle": "For your ears",
    "ItemDescription": "Monitors the volume level of a process and caps the volume through the mixer if it goes over a certain amount.",
    "ExecutableCommands": {
      "key": {
        "DisplayName": "Windows Volume Limiter",
        "FileName": "WVL/WinVolumeLimiter.exe"
      }
    }
  },
  {
    "FolderName": "VRUN",
    "ImageName": "VRUN.png",
    "DownloadVersion": "VRUN062",
    "ItemName": "VRUN",
    "ItemSubtitle": "Corrupt the world",
    "ItemDescription": "Brute-force your way to the system's core in this corruption-themed platformer.\n\nVRUN is a randomized platforming shooter featuring 6 levels of randomly-generated torture. Harvest energy crystals and upgrade your virus into a mass-deletion process.",
    "ExecutableCommands": {
      "key": {
        "DisplayName": "virus.run",
        "FileName": "VRUN/vrun.exe"
      }
    }
  },
  {
    "ImageName": "PrereqsChecker.png",
    "ItemName": "Prereqs Checker",
    "ItemSubtitle": "Dependencies installer",
    "ItemDescription": "Searches for and installs missing dependencies for various emulators and tools for RTC.",
    "ExecutableCommands": {
      "key": {
        "DisplayName": "Prerequisite Checker",
        "FileName": "Launcher/PrereqChecker.exe",
        "Arguments": "-NOTIFY"
      }
    }
  },
  {
    "ImageName": "PackageDownloader.png",
    "ItemName": "Package Downloader",
	"ItemSubtitle": "to extend RTC",
	"ItemDescription": "The RTC Package Downloader allows you to get lists, layouts and other stuff made by the corruption community.",
    "ExecutableCommands": {
      "key": {
        "DisplayName": "Package Downloader",
        "FileName": "Launcher/PackageDownloader.exe",
        "PreExecuteCommands": [
          {
            "DisplayName": "Kill PackageDownloader",
            "FileName": "taskkill",
            "Arguments": "/f /im PackageDownloader.exe",
            "WindowStyle": "Normal",
            "WaitForExit": true,
            "WaitForExitTimeout": 2147483647
          }
        ]
      }
    }
  },
  {
    "ImageName": "Add.png",
    "ExecutableCommands": {
      "key": {
        "DisplayName": "Add new package",
        "FileName": "Launcher/PrereqChecker.exe",
        "Arguments": "-NOTIFY"
      }
    }
  }
]